package com.zcloud.modules.custormerInfo.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.custormerInfo.entity.SysUserTeacherEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author wangyitao
 * @Desc (SysUserTeacher)表服务接口
 * @Date 2024-10-15 14:32:59
 */
public interface SysUserTeacherService extends IService<SysUserTeacherEntity> {

    SysUserTeacherEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<SysUserTeacherEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String teacherId,String userId);

    SysUserTeacherEntity getInfo(String teacherId);

}
